<?php
namespace Jazzee\Console;

try{
  //If the composer autoloader hasn't been loaded then load it here
  //We do it this way in case Jazzee has been built as a composer app into another app
  if (!class_exists('Composer\\Autoload\\ClassLoader', false)) {
      require __DIR__ . '/../vendor/autoload.php';
  }
  
  $doctrineConfig = new \Doctrine\ORM\Configuration();
	$doctrineConfig->setAutoGenerateProxyClasses(true);
  $doctrineConfig->setProxyDir('/tmp');
  $cache = new \Doctrine\Common\Cache\ArrayCache;
  $driver = $doctrineConfig->newDefaultAnnotationDriver(array(__DIR__."/../src/Jazzee/Entity"));
  $doctrineConfig->setMetadataDriverImpl($driver);

  $doctrineConfig->setProxyNamespace('Jazzee\Entity\Proxy');
  $doctrineConfig->setMetadataCacheImpl($cache);
  $doctrineConfig->setQueryCacheImpl($cache);

  $connectionParams = array(
    'dbname' => 'testsequence',
    'user' => 'vagrant',
    'host' => 'localhost',
    'driver' => 'pdo_mysql'
  );

  $em = \Doctrine\ORM\EntityManager::create($connectionParams, $doctrineConfig);
}catch(Exception $e){
  print $e->getMessage() . PHP_EOL;
  exit(1);
}
$helpers = array(
    'db' => new \Doctrine\DBAL\Tools\Console\Helper\ConnectionHelper($em->getConnection()),
    'em' => new \Doctrine\ORM\Tools\Console\Helper\EntityManagerHelper($em),
    'dialog' => new \Symfony\Component\Console\Helper\DialogHelper(),
);